########################################
# Analysis file for the phenomenological
# study of b -> c transitions
########################################

priors:
  - name: Vcb
    descriptions:
     - { 'parameter': 'CKM::abs(V_cb)', 'min': 3.0e-2, 'max': 5.0e-2, 'type': 'uniform' }

  - name: BToD-BGL2
    descriptions:
      - { 'parameter': B->D::a^f+_0@BGL1997, 'min': -1.0, 'max':  1.0, 'type': 'uniform' }
      - { 'parameter': B->D::a^f+_1@BGL1997, 'min': -1.0, 'max':  1.0, 'type': 'uniform' }
      - { 'parameter': B->D::a^f0_0@BGL1997, 'min': -1.0, 'max':  1.0, 'type': 'uniform' }
      - { 'parameter': B->D::a^f0_1@BGL1997, 'min': -1.0, 'max':  1.0, 'type': 'uniform' }

  - name: BToDstar-BGL2
    descriptions:
      - { 'parameter': B->D^*::a^g_0@BGL1997,   'min': -1.0, 'max': 1.0 , 'type': 'uniform' }
      - { 'parameter': B->D^*::a^g_1@BGL1997,   'min': -1.0, 'max': 1.0 , 'type': 'uniform' }
      - { 'parameter': B->D^*::a^f_0@BGL1997,   'min': -1.0, 'max': 1.0 , 'type': 'uniform' }
      - { 'parameter': B->D^*::a^f_1@BGL1997,   'min': -1.0, 'max': 1.0 , 'type': 'uniform' }
      - { 'parameter': B->D^*::a^F1_1@BGL1997,  'min': -1.0, 'max': 1.0 , 'type': 'uniform' }
      - { 'parameter': B->D^*::a^F2_1@BGL1997,  'min': -1.0, 'max': 1.0 , 'type': 'uniform' }

likelihoods:
  - name: BToD-BR
    constraints:
      - B^0->D^+mu^-nu::BRs@Belle:2015A
      - B^0->D^+e^-nu::BRs@Belle:2015A

  - name: BToDstar-BR
    constraints:
      - B^0->D^*+l^-nu::BR@HFLAV:2021A
      - B^-->D^*0l^-nu::BR@HFLAV:2021A

  - name: BToD-LQCD
    constraints:
      - B->D::f_++f_0@HPQCD:2015A
      - B->D::f_++f_0@FNAL+MILC:2015B

  - name: BToDstar-LQCD
    constraints:
      - B->D^*::FormFactors[V,A_1,A_2,A_0]@FNAL+MILC:2021A

  - name: Bounds
    manual_constraints:
      'b->c::Bound[0^+]':
        type: UniformBound
        observables:
            - b->c::Bound[0^+]@BGL
        kinematics: [ {} ]
        options: [ {"z-order-bound": "1"} ]
        bound: 1.0
        uncertainty: 0.1
      'b->c::Bound[0^-]':
        type: UniformBound
        observables:
            - b->c::Bound[0^-]@BGL
        kinematics: [ {} ]
        options: [ {"z-order-bound": "1"} ]
        bound: 1.0
        uncertainty: 0.1
      'b->c::Bound[1^+]':
        type: UniformBound
        observables:
            - b->c::Bound[1^+]@BGL
        kinematics: [ {} ]
        options: [ {"z-order-bound": "1"} ]
        bound: 1.0
        uncertainty: 0.1
      'b->c::Bound[1^-]':
        type: UniformBound
        observables:
            - b->c::Bound[1^-]@BGL
        kinematics: [ {} ]
        options: [ {"z-order-bound": "1"} ]
        bound: 1.0
        uncertainty: 0.1


posteriors:
  - name: BToD-BGL2
    global_options:
      model: CKM
      form-factors: BGL1997
    prior:
      - Vcb
      - BToD-BGL2
    likelihood:
      - BToD-BR
      - BToD-LQCD
      - Bounds
  - name: global-BGL2
    global_options:
      model: CKM
      form-factors: BGL1997
    prior:
      - Vcb
      - BToD-BGL2
      - BToDstar-BGL2
    likelihood:
      - BToD-BR
      - BToDstar-BR
      - BToD-LQCD
      - BToDstar-LQCD
      - Bounds

predictions:
  - name: BToDstar-BR
    observables:
      - { name: 'B->D^*lnu::BR;l=e,q=d', kinematics: { 'q2_min': 0.3e-7, 'q2_max': 11.658 } }
      - { name: 'B->D^*lnu::BR;l=e,q=u', kinematics: { 'q2_min': 0.3e-7, 'q2_max': 11.628 } }
